#include<iostream>
#include<cstring>
using namespace std;
int main()
{
    int l;
    cin>>l;
    int z[l];
    for(int n=0; n<l;n++)
    {
        char m[8000];
        cin>>m;
        int ml=strlen(m);
        int a['z'-'A'+2]= {0},na1=0;
        for(int i=0; i<ml; i++)
        {
            a[(int)m[i]-(int)'A']++;
        }
        for(int i=0; i<('z'-'A'+2); i++)
        {
            if(a[i]>0)
            {
                if(a[i]%2!=0)
                {
                    na1++;
                }
            }
        }
        if(na1<=1)
        {
            z[n]=1;
        }else{
            z[n]=0;
        }
    }
    for(int i=0;i<l;i++){
        cout<<z[i];
    }
    return 0;
}
